Updates the specified Version resource.
Currently the only update-able fields are description, requestLoggingConfig, autoScaling.minNodes, and manualScaling.nodes.
HTTP request
PATCH https://ml.googleapis.com/v1/{name=projects/*/models/*/versions/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the model. Authorization requires the following Google IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. Specifies the path, relative to For example, to change the description of a version to "foo", the
Currently the only supported update mask fields are A comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of Version.
Response body
If successful, the response body contains an instance of Operation.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.


